---
lang: en
title: 'API docs: core.coretags'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.coretags.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [CoreTags](./core.coretags.md)

## CoreTags namespace

**Signature:**

```typescript
export declare namespace CoreTags 
```

## Variables

|  Variable | Description |
|  --- | --- |
|  [COMPONENT](./core.coretags.component.md) | Binding tag for components |
|  [CONTROLLER](./core.coretags.controller.md) | Binding tag for controllers |
|  [EXTENSION\_FOR](./core.coretags.extension_for.md) | Binding tag for extensions to specify name of the extension point that an extension contributes to. |
|  [EXTENSION\_POINT](./core.coretags.extension_point.md) | Binding tag for an extension point to specify name of the extension point |
|  [LIFE\_CYCLE\_OBSERVER\_GROUP](./core.coretags.life_cycle_observer_group.md) | Binding tag for group name of life cycle observers |
|  [LIFE\_CYCLE\_OBSERVER](./core.coretags.life_cycle_observer.md) | Binding tag for life cycle observers |
|  [SERVER](./core.coretags.server.md) | Binding tag for servers |
|  [SERVICE\_INTERFACE](./core.coretags.service_interface.md) | Binding tag for the service interface |
|  [SERVICE](./core.coretags.service.md) | Binding tag for services |


